CODECGRAPH(1)

NAME
codecgraph - hda-intel codec graph generator

SYNOPSIS
codecgraph [-f format] [-h] [-o name] [-v] [codecfile]

DESCRIPTION
codecgraph generates a graph based on the ALSA description of a High Definition Audio codec. The generated graph depicts the HDA codec layout and node connections, helping driver troubleshooting and maintenance. In Linux this description is available at /proc/asound/card*/codec#*.

OPTIONS

-f format
    Specify the format of the generated graph. Valid formats are all formats accepted by dot(1), including ps (PostScript), svg (Structured Vector Graphics), fig (XFIG graphics) and png (Portable Network Graphics).

-h  Show usage information and exit.

-o name
    Set the output file name.

-v  Print version information and exit.

EXAMPLES
Generate a graph from codec.txt in PNG format:

    codecgraph -f png codec.txt

Generate a graph for the local host HDA codec data:

    codecgraph

SEE ALSO
dot(1)

AUTHOR
Eduardo Habkost <ehabkost@raisama.net>. Wrapper script by Claudio Matsuoka <cmatsuoka@gmail.com>.